Campaigns
Update a campaign
PATCH
/campaigns/{id}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Query Parameters
organization?string
Organization slug (OAuth actors with several orgs); API keys imply theirs.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/campaigns/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "status": "draft", "starts_at": "2026-07-21T09:00:00-07:00", "ends_at": "2026-07-21T09:00:00-07:00" }'{ "property1": null, "property2": null}{ "error": { "code": "string", "message": "string", "reason": "string", "index": 0, "request_id": "string" }}{ "error": { "code": "string", "message": "string", "reason": "string", "index": 0, "request_id": "string" }}